.image-with-shop-section .buttons {
  display: flex;
  column-gap: 2rem;
  flex-wrap: wrap;
  row-gap: 1rem;
}

.image-with-shop-section .image-with-text__content .image-with-text__text {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.image-with-shop__text-item {
  display: flex;
  flex-direction: column;
}

@media screen and (max-width: 749px) {
  .image-with-shop-section .image-with-text__content {
    padding: 4rem 1.5rem 5rem;
  }
}

.image-with-text__content--desktop-center .buttons {
  justify-content: center;
}

.image-with-text__content--desktop-right .buttons {
  justify-content: flex-end;
}

.image-with-text__content--mobile-center .buttons {
  justify-content: center;
}

.image-with-text__content--mobile-right .buttons {
  justify-content: flex-end;
}

.image-with-shop__media-item {
  position: relative;
}
